# Generated from ripl-commands-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ripl-commands

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: This ripl plugin adds commands to ripl that are similar to irb's
License: MIT
URL: http://github.com/cldwalker/ripl-commands
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
BuildArch: noarch

%description
This ripl plugin provides a core group of commands for any ripl shell. It aims
to match and surpass functionality in irb's commands.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/deps.rip
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.gemspec
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile

%changelog
* Wed Apr 20 2022 mockbuilder - 0.2.1-1
- Initial package
